classification
Title: test_free_different_thread() of test_code leaks references on Python 3.6
Type: resource usage Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dino.viehland, ned.deily, vstinner, yselivanov
Priority: normal Keywords:

Created on 2017-06-19 15:28 by vstinner, last changed 2017-07-08 04:51 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2455 merged vstinner, 2017-06-28 00:00
PR 2456 merged vstinner, 2017-06-28 00:17
Messages (5)
msg296350 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-19 15:28
haypo@selma$ ./python -m test -m test.test_code.CoExtra.test_free_different_thread -R 3:3 test_code 
Run tests sequentially
test_code leaked [2, 1, 1] memory blocks, sum=4

The regression was introduced by the bpo-30604: commit 2997fec01ee7300c6d5940e6c55e4ccf9f56f1b5.
msg296919 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-26 16:54
Ping Dino & Yury! test_code still leaks in 3.6 and master branches.
msg297080 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-28 00:12
New changeset 23e7944eba1968bb8432fdc4cc96d4fdd2c1a230 by Victor Stinner in branch 'master':
bpo-30704, bpo-30604: Fix memleak in code_dealloc() (#2455)
https://github.com/python/cpython/commit/23e7944eba1968bb8432fdc4cc96d4fdd2c1a230
msg297083 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-28 00:28
New changeset 26daad4ee14693381d84a5235709d22aed1c22ed by Victor Stinner in branch '3.6':
bpo-30704, bpo-30604: Fix memleak in code_dealloc() (#2455) (#2456)
https://github.com/python/cpython/commit/26daad4ee14693381d84a5235709d22aed1c22ed
msg297934 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-08 04:51
New changeset c794b643c9172d69afa46f85982befd82511d9df by Ned Deily (Victor Stinner) in branch '3.6':
bpo-30704, bpo-30604: Fix memleak in code_dealloc() (#2455) (#2456)
https://github.com/python/cpython/commit/c794b643c9172d69afa46f85982befd82511d9df
History
Date User Action Args
2017-07-08 04:51:40ned.deilysetmessages: + msg297934
2017-06-28 00:32:06vstinnersetstatus: open -> closed
stage: resolved
resolution: fixed
versions: + Python 3.7
2017-06-28 00:28:53vstinnersetmessages: + msg297083
2017-06-28 00:17:10vstinnersetpull_requests: + pull_request2513
2017-06-28 00:12:03vstinnersetmessages: + msg297080
2017-06-28 00:00:44vstinnersetpull_requests: + pull_request2511
2017-06-26 16:54:38vstinnersetmessages: + msg296919
2017-06-19 15:28:11vstinnercreate